/* pagbuild.js */

var gpdPath = 'http://' + location.host + '/include/getPlayerData.php';

var jobs = new Array('','WAR','MNK','WHM','BLM','RDM','THF','PLD','DRK','BST','BRD','RNG','SAM','NIN','DRG','SMN','BLU','COR','PUP','DNC','SCH');

function loadStartPage() {

	buildPlayerTable();
	setInterval("buildPlayerTable()", 5000);
}

function buildPlayerTable()
{
	$.getJSON(gpdPath + '?t=' + (new Date()).getTime(), function (playerData) {
		var html;
		var playerCnt = 0;
		
		if (jQuery.isEmptyObject(playerData)) {
			html = '<h2>No one currently on!</h2>';
		} else {
			var playerRows = '';
			for (var i in playerData) {
				playerCnt += 1;
				playerRows += '<tr><td>';
				if (playerData[i].nameflags == '67108864' ||
				    playerData[i].nameflags == '100663296' ||
				    playerData[i].nameflags == '83886080' ||
				    playerData[i].nameflags == '117440512')
					playerRows += '<b>*</b>';
                     playerRows+= playerData[i].player + '</td>';
				
				playerRows += '  <td>' + playerData[i].area.replace(/_/g," ") + '</td>' +
						      '  <td>' + jobs[playerData[i].mjob] + playerData[i].mjoblvl;
							  if (playerData[i].sjob != 0) playerRows += '/';
							  playerRows += jobs[playerData[i].sjob] + playerData[i].sjoblvl + '</td>' +
						      '  <td>' + playerData[i].bazaar_message + '</td>' +
						      '</tr>';
			}
			html = '<span id="playerCnt">Total: ' + playerCnt + '</span>' +
					'<table border="1">' +
					'  <tr>' +
					'    <th>Player</th>' +
					'    <th>Area</th>' +
					'    <th>Job</th>' +
					'    <th>Bazaar Message</th>' +
					'  </tr>' +
					playerRows +
					'<table>';
		}
		replace('PlayerList', html);
	});
}

function replace(parentId, html) {
    var parent = document.getElementById(parentId), child;
    while (child = parent.firstChild)
        parent.removeChild(child);
    $('#' + parentId).append(html);
}