/* pagbuild.js */

var gpdPath = 'http://' + location.host + '/include/getPlayerData.php';

var jobs = new Array('', 'WAR', 'MNK', 'WHM', 'BLM', 'RDM', 'THF', 'PLD', 'DRK', 'BST', 'BRD', 'RNG', 'SAM', 'NIN', 'DRG', 'SMN', 'BLU', 'COR', 'PUP', 'DNC', 'SCH');

function loadStartPage() {
	buildPlayerTable();
	setInterval("buildPlayerTable()", 5000);
}

loadStartPage();

function buildPlayerTable() {
	sendAJAXRequest(gpdPath, null, function (playerData) {
		var html;

		if (typeof playerData == 'undefined' || playerData == null) {
			html = '<h2>No one currently on!</h2>';
		} else {
			var playerRows = '';
			var cnt = 0;
			for (var i = 0; i < playerData.length; i++) {
				playerRows += '<tr><td>';
				if (playerData[i].nameflags == '67108864' ||
				playerData[i].nameflags == '100663296' ||
				playerData[i].nameflags == '83886080' ||
				playerData[i].nameflags == '117440512')
					playerRows += '<b>*</b>';
				playerRows += playerData[i].player + '</td>';

				playerRows += '  <td>' + playerData[i].area.replace(/_/g, " ") + '</td>' +
				'  <td>' + jobs[playerData[i].mjob] + playerData[i].mjoblvl;
				if (playerData[i].sjob != 0) playerRows += '/';
				playerRows += jobs[playerData[i].sjob] + playerData[i].sjoblvl + '</td>' +
				'  <td>' + playerData[i].bazaar_message + '</td>' +
				'</tr>';
			}
			html = '<span id="playerCnt">Total: ' + i + '</span>' +
					'<table border="1">' +
					'  <tr>' +
					'    <th>Player</th>' +
					'    <th>Area</th>' +
					'    <th>Job</th>' +
					'    <th>Bazaar Message</th>' +
					'  </tr>' +
					playerRows +
					'<table>';
		}
		replace('PlayerList', html);
	});
}

function sendAJAXRequest(url, parameter, callback) {
	var http;
	if (window.XMLHttpRequest) { http = new XMLHttpRequest(); }
	else if (window.ActiveXObject) { http = new ActiveXObject('Microsoft.XMLHTTP'); }

	url = url + '?t=' + new Date().getTime();
	var params = '';

	if (parameter != null && parameter.length != 0) {
		params = parameter.join('&');
	}
	http.open("POST", url, true);

	http.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
	http.setRequestHeader("Content-length", params.length);
	http.setRequestHeader("Connection", "close");

	http.onreadystatechange = function () {
		if (http.readyState == 4 && http.status == 200) {
			callback(JSON.parse(http.responseText));
		}
	}
	http.send(params);
}

function replace(parentId, html) {
	var parent = document.getElementById(parentId), child;
	while (child = parent.firstChild)
		parent.removeChild(child);
	parent.innerHTML = html;
}